"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;

var _react = _interopRequireDefault(require("react"));

var _propTypes = _interopRequireDefault(require("prop-types"));

var _Button = _interopRequireDefault(require("./Button"));

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function _typeof(obj) { if (typeof Symbol === "function" && typeof Symbol.iterator === "symbol") { _typeof = function _typeof(obj) { return typeof obj; }; } else { _typeof = function _typeof(obj) { return obj && typeof Symbol === "function" && obj.constructor === Symbol && obj !== Symbol.prototype ? "symbol" : typeof obj; }; } return _typeof(obj); }

function _classCallCheck(instance, Constructor) { if (!(instance instanceof Constructor)) { throw new TypeError("Cannot call a class as a function"); } }

function _defineProperties(target, props) { for (var i = 0; i < props.length; i++) { var descriptor = props[i]; descriptor.enumerable = descriptor.enumerable || false; descriptor.configurable = true; if ("value" in descriptor) descriptor.writable = true; Object.defineProperty(target, descriptor.key, descriptor); } }

function _createClass(Constructor, protoProps, staticProps) { if (protoProps) _defineProperties(Constructor.prototype, protoProps); if (staticProps) _defineProperties(Constructor, staticProps); return Constructor; }

function _possibleConstructorReturn(self, call) { if (call && (_typeof(call) === "object" || typeof call === "function")) { return call; } return _assertThisInitialized(self); }

function _getPrototypeOf(o) { _getPrototypeOf = Object.setPrototypeOf ? Object.getPrototypeOf : function _getPrototypeOf(o) { return o.__proto__ || Object.getPrototypeOf(o); }; return _getPrototypeOf(o); }

function _assertThisInitialized(self) { if (self === void 0) { throw new ReferenceError("this hasn't been initialised - super() hasn't been called"); } return self; }

function _inherits(subClass, superClass) { if (typeof superClass !== "function" && superClass !== null) { throw new TypeError("Super expression must either be null or a function"); } subClass.prototype = Object.create(superClass && superClass.prototype, { constructor: { value: subClass, writable: true, configurable: true } }); if (superClass) _setPrototypeOf(subClass, superClass); }

function _setPrototypeOf(o, p) { _setPrototypeOf = Object.setPrototypeOf || function _setPrototypeOf(o, p) { o.__proto__ = p; return o; }; return _setPrototypeOf(o, p); }

var ImageModifiers =
/*#__PURE__*/
function (_React$Component) {
  _inherits(ImageModifiers, _React$Component);

  function ImageModifiers(props) {
    var _this;

    _classCallCheck(this, ImageModifiers);

    _this = _possibleConstructorReturn(this, _getPrototypeOf(ImageModifiers).call(this, props));
    _this.handleRotateClockwise = _this.handleRotateClockwise.bind(_assertThisInitialized(_this));
    _this.handleRotateCounterclockwise = _this.handleRotateCounterclockwise.bind(_assertThisInitialized(_this));
    _this.handleZoomIn = _this.handleZoomIn.bind(_assertThisInitialized(_this));
    _this.handleZoomOut = _this.handleZoomOut.bind(_assertThisInitialized(_this));
    _this.handleDownload = _this.handleDownload.bind(_assertThisInitialized(_this));
    return _this;
  }

  _createClass(ImageModifiers, [{
    key: "handleRotateClockwise",
    value: function handleRotateClockwise() {
      this.props.handleRotate.call(this, 90);
    }
  }, {
    key: "handleRotateCounterclockwise",
    value: function handleRotateCounterclockwise() {
      this.props.handleRotate.call(this, -90);
    }
  }, {
    key: "handleZoomIn",
    value: function handleZoomIn() {
      this.props.handleZoom.call(this, 1, 10);
    }
  }, {
    key: "handleZoomOut",
    value: function handleZoomOut() {
      this.props.handleZoom.call(this, -1, 10);
    }
  }, {
    key: "handleDownload",
    value: function handleDownload() {
      console.log(this.props.currentImage);
      window.open(this.props.currentImage);
    }
  }, {
    key: "render",
    value: function render() {
      return _react.default.createElement("div", {
        className: "lightbox-modifiers-box"
      }, _react.default.createElement(_Button.default, {
        icon: "zoom-in",
        onClick: this.handleZoomIn,
        size: 34,
        hasRipple: true
      }), _react.default.createElement(_Button.default, {
        icon: "zoom-out",
        onClick: this.handleZoomOut,
        size: 34,
        hasRipple: true
      }), _react.default.createElement(_Button.default, {
        icon: "rotate-left",
        onClick: this.handleRotateCounterclockwise,
        size: 34,
        hasRipple: true
      }), _react.default.createElement(_Button.default, {
        icon: "rotate-right",
        onClick: this.handleRotateClockwise,
        size: 34,
        hasRipple: true
      }), _react.default.createElement(_Button.default, {
        icon: "download",
        onClick: this.handleDownload,
        size: 34,
        hasRipple: true
      }));
    }
  }]);

  return ImageModifiers;
}(_react.default.Component);

exports.default = ImageModifiers;
ImageModifiers.propTypes = {
  handleRotate: _propTypes.default.func.isRequired,
  handleZoom: _propTypes.default.func.isRequired,
  currentImage: _propTypes.default.string.isRequired
};